html {
	--theme-hue: 0;
	
	--accent-hue: 274;
	--accent-color: hsl(var(--accent-hue), 86%, 57%);
	--accent-color-hover: hsl(var(--accent-hue), 86%, 70%);
	
	--button-primary-color: white;
	
	--button-secondary: hsl(var(--accent-hue), 30%, 80%);
	--button-secondary-color:white;
	
	--background-color: white;
	--background-color-softer: hsl(var(--theme-hue), 0%, 95%);

	--text-color: hsl(var(--theme-hue), 0%, 13%);
	
	--confirm-hue: 139;
	--confirm-background-color: hsl(var(--confirm-hue), 66%, 68%);
	/*
	--text-color-richer: hsl(var(--theme-hue), 0%, 5%);
	--text-color-normal: hsl(var(--theme-hue), 0%, 13%);
	--text-color-softer: hsl(var(--theme-hue), 0%, 33%);


	--accent-color-hover: hsl(var(--accent-hue), 76%, 49%);

	--border-color: hsl(var(--theme-hue), 0%, 73%);
	--border-color-softer: hsl(var(--theme-hue), 0%, 82%);

	--background-color: white;

	--code-background: hsl(var(--theme-hue), 0%, 95%);
	*/

	--shadow-color: 286deg 36% 48%;
	--shadow-elevation-medium: 0px 0px 13.6px -3.9px hsl(var(--shadow-color) / 0.32);
	
	--grid-max-width: 960px;
	--default-font-size: 16px;
	padding:0;
	box-sizing: border-box;
	height: 100%;
}

@view-transition {
	navigation: auto;
}

html, body {
	font-size:var(--default-font-size);
	font-family: sans-serif;
	background-color: var(--background-color);
	color: var(--text-color);
	scrollbar-gutter: stable;
}

main {
	display:flex;
	padding-bottom:4em;
}

h1, h2, p {
  text-wrap: balance;
  /*max-width: 40ch;*/
}

form {
	border:0;
	width:auto;
	max-width:none;
}

form table {
	max-width:none;
}

body {
	padding:0;
	margin:0;
	box-sizing: border-box;
	/*height: 100%;  Don't, will strech in tinyMCE */
	line-height: 1.3;
}

footer {
	background-color:#555;
	padding-left:1em;
	padding-right:1em;
	padding-bottom:1em;
	color:#eee;
	/*margin-top:2em;*/
}

footer a {
	color:#eee;
}

footer div {
	margin:auto;
	max-width:var(--grid-max-width);
	padding-left:10px;
}

a {
	color: var(--text-color);
}

.wrapper {
	box-sizing: border-box;
	min-height: 100%;

	display: flex;
	flex-direction: column;
}

.containerWrapper {
	/*padding-bottom:2em;*/
	flex:1;
}

.container {
	max-width:var(--grid-max-width);
	padding-left: 10px;
	padding-right:10px;
	margin-top:1.4em;
	margin-bottom:auto;
	box-sizing:border-box; /* For body-Tag in tinyMCE */
}

.container article:last-child {
	margin-bottom:1em;
}

.container.inIframe {
	max-width:none;
	padding:0;
	margin:0;
}

.container > img:first-child {
	width:100%;
	margin-bottom:2em;
}

.container > figure:first-child {
	margin-bottom:2em;
}

.container > figure:first-child img {
	width:100%;
	margin-bottom:0em;
	object-fit: contain;
	display: block;
}
.container > figure:first-child:has(figcaption) img {
	border-bottom-right-radius: 0;
	border-bottom-left-radius: 0;
}

.container1C {
	margin-left:auto;
	margin-right:auto;
	padding-right:calc(var(--grid-max-width) * 0.2); /* 0.2: Do not use same width as with multiple cols. But use padding for same left position */
}

.container2C {
	display: grid;
	grid-template-columns: repeat(auto-fit, minmax(calc(calc(var(--grid-max-width) / 2.6) - 1rem), 1fr)); /* 2.6: increase to wrap later */
	grid-gap: 2rem;
}

.container2C .fullGridWidth {
	grid-column: 1/3;
}

.container3C .fullGridWidth {
	grid-column: 1/4;
}

.container3C {
	display: grid;
	grid-template-columns: repeat(auto-fit, minmax(calc(calc(var(--grid-max-width) / 3) - 1rem * 2), 1fr));
	grid-gap: 2rem;
}

.container7C {
	display: grid;
	grid-template-columns: repeat(auto-fit, minmax(calc(calc(var(--grid-max-width) / 7) - .2rem * 6), 1fr));
	grid-gap: .2rem;
}



@media (min-width: 960px) { /* should be var(--grid-max-width), but does not work */
	.container2C, .container3C, .container7C {
		margin-left:auto;
		margin-right:auto;
	}
}

@media (max-width: 750px) {
	main {
		flex-direction: column;
	}
	
	.container1C {
		padding-right:10px;
	}
	
	.container2C {
		grid-template-columns: 1fr;
		/*grid-template-columns: 1fr;*/ /* 2.6: increase to wrap later */
	}
	
	.container2C .fullGridWidth, .container3C .fullGridWidth {
		grid-column: 1/1;
	}
	
	footer {
		padding-bottom:calc(1em + 50px);
	}
}

.bigButton, .submitFormButton {
	border:0px solid pink;
	padding:.5em;
	padding-left:1.5em;
	padding-right:1.5em;
	border-radius:5px;
	color: var(--button-primary-color);
	background-color: var(--accent-color);
	border-color: var(--accent-color);
	width:auto;
	box-sizing:border-box;
	/*margin-bottom:.3em;
	margin-top:.3em;*/
	margin:0;
	height:auto;
	box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.4), 0 0 0 black;
	text-shadow:none;
	font-size: 18px;
	text-transform: none;
	text-decoration: none;
	line-height: 1.3em;
	display: inline-block;
	font-weight:400;
	transition: background-color 1s;
}

a:visited.bigButton {
	color: var(--button-primary-color);
}

.bigButton[style*="float: right;"], .bigButton[style*="float:right;"] {
	margin-left:.3em;
	margin-bottom:.3em;
}

.bigButton[style*="float: left;"], .bigButton[style*="float:left;"] {
	margin-right:.3em;
	margin-bottom:.3em;
}

.bigButton:hover, .submitFormButton:hover, .submitFormButton:focus {
	background-color:var(--accent-color-hover);
	color:white;
}

.bigButton.smallerButton.iconLeft svg {
	margin-right:.3em;
	vertical-align: bottom;
	height:20px;
	margin-top:-2px;
}

.bigButton.smallerButton.iconRight svg {
	margin-left:.3em;
	vertical-align: bottom;
	height:20px;
	margin-top:-2px;
}

.smallerButton {
	font-size: 13px;
	/*width:100%;*/
}

.secondaryButton {
	background-color: var(--button-secondary);
	color:black;
}

.confirm {
	background-color:var(--confirm-background-color);
	padding:.5em;
	border-radius:5px;
	margin-bottom:.3em;
	width:100%;
	box-sizing:border-box;
	color:#222;
}

p {
	padding:.4em;
	padding-left:0;
	margin:0; /* for tinyMCE */
	margin-bottom: .7em;
}

p:has(img.imageFloatRight) {
	padding-right:0;
}

svg {
	stroke-width:1;
}

img {
	border-radius: 4px;
}

figcaption {
	font-size:80%;
	text-align:right;
	padding:.4em;
	color:#777;
	background-color:var(--background-color-softer);
	border-bottom-right-radius: 4px;
	border-bottom-left-radius: 4px;
}

.imageFloatLeft {
	float:left;
	margin-right:1em;
	margin-bottom:1em;
	width:30%;
	min-width: 400px;
}

.imageFloatRight {
	float:right;
	margin-left:1em;
	margin-bottom:1em;
	width:30%;
	min-width: 400px;
}

.imageText {
	display:grid;
	grid-template-columns: 1fr 1fr; /* 2.6: increase to wrap later */
	grid-gap: 1rem;
}

/*.imageText figure {
	display: block; *//* for tinyMCE */
/*}*/

/*figure {
	height: 100%;
	min-height: 250px;
	/*margin:0;*/ /* for tinyMCE */
	/*position: relative;
}*/

.container figure {
	width: 100%; 
	height: 100%; 
	margin:0;/* for tinyMCE */
	background-repeat:no-repeat;
	background-position: 50% 0%;
	background-size: cover; /* contain */
}

.container figure img {
	width: 100%; 
	height: 100%; 
	object-fit: cover; 
	object-position: 50% 50%;
}

/*.imageText figure img {*/
	/*position: absolute;*/
/*}*/

.offer {
	background-color:var(--background-color-softer);
	padding:1rem;
	border-radius: 4px;
}

.FormSeparatorWithLabel td {
	font-weight:bold;
	padding-top:2em;
}

.ui-autocomplete.ui-autocomplete,
.ui-autocomplete .ui-corner-all,
.ui-datepicker.ui-corner-all,
.ui-dialog.ui-corner-all,
.ui-datepicker-inline.ui-corner-all,
.ui-datepicker-header.ui-corner-all
{
	border-radius:5px;
}
.ui-dialog-titlebar.ui-corner-all {
	border-top-left-radius: 5px;
	border-top-right-radius: 5px;
}
.ui-dialog .ui-dialog-content:has(iframe){
	padding:0;
}

.ui-dialog .ui-dialog-content iframe{
	border-bottom-left-radius: 5px;
	border-bottom-right-radius: 5px;
	border:0px;
	height:80vh;
	display:block;
	width:100%;
}

.ui-dialog {
	width:95vw;
	max-width: 800px;
	padding:0;
}

.ui-icon-closethick {
	/*transform: scale(1.5);*/
}

.ui-dialog .ui-dialog-titlebar-close {
	width:25px;
	height:25px;
	top:40%;
}

.ui-button:active {
	background:var(--accent-color);
	border:1px solid var(--accent-color);
}

.ui-widget.ui-widget-content {
  border:0;
}

.ui-widget-header {
	background-color:var(--background-color-softer);
}

.yogafoxShare {
	clear: both; 
	opacity: .4; 
	transition: opacity 300ms;
	float:right;
	margin-left:1em;
	margin-bottom:1em;
	width:30%;
	min-width: 400px;
}

.yogafoxShare:hover {
	opacity: 1; 
}
.yogafoxShare iframe {
	height: 600px;
	border-radius: 5px;
	border: 0; 
	width: 100%; 
}

#bookingWeek {
	display:grid;
	view-transition-name: booking;
	grid-template-columns: repeat(5, 1fr);
	grid-auto-rows: minmax(10px, auto);
	grid-template-areas:
	  "backward none none none forward"
	  "days days days days days";
}

.bookingDays {
	display:flex;
}

.bookingDay {
	border-right:1px solid grey;
	box-sizing:border-box;
	flex:1;
	min-height:30em;
}

.bookingDay h2 {
	font-size:90%;
	padding:.5rem;
	background-color:var(--background-color-softer);
}

.bookingDayContent {
	padding:.5rem;
}

.bookingDay:first-child {
	border-left:1px solid grey;
}

.bookingSwitch {
	padding:.5rem;
}

.bookingSwitch button {
	width:100%;
}

html:active-view-transition-type(forward) {
	&::view-transition-old(booking) {
		animation-name: slide-out-to-left;
	}
	&::view-transition-new(booking) {
		animation-name: slide-in-from-right;
	}
}

html:active-view-transition-type(backwards) {
	&::view-transition-old(booking) {
		animation-name: slide-out-to-right;
	}
	&::view-transition-new(booking) {
		animation-name: slide-in-from-left;
	}
}

/* Keyframes for all the animations */
@keyframes slide-in-from-left {
  from {
    translate: -100vw 0;
    /*rotate: -360deg;*/
  }
}
@keyframes slide-in-from-right {
  from {
    translate: 100vw 0;
    /*rotate: 360deg;*/
  }
}
@keyframes slide-out-to-left {
  to {
    translate: -100vw 0;
    /*rotate: -360deg;*/
  }
}
@keyframes slide-out-to-right {
  to {
    translate: 100vw 0;
    /*rotate: 360deg;*/
  }
}

/* Set custom duration on all view transitions */
::view-transition-group(*) {
  animation-duration: .2s;
}